%define	name	libkexif
%define	version	0.2.2
%define	release	1.2006mcnl
%define	Summary	KDE library for manipulating EXIF information embedded in images.

%define realname kexif

%define	major	0
%define	libname	%mklibname %{realname} %major
%define	libnamedev %mklibname %{realname} %major -d

Summary:	%{Summary}
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group: 		System/Libraries
Source0:	libkexif-%{version}.tar.bz2

URL: 		http://extragear.kde.org/apps/kipi.php
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	kdelibs-common
BuildRequires:	qt3-devel
BuildRequires:	kdebase-devel
BuildRequires:	libexif-devel
Epoch: 1

Provides:	%{name} = %{epoch}:%{version}-%{release}

%description
Libkexif is a library for manipulating EXIF information embedded in images.
It currently supports viewing of all EXIF information via libexif. It also
supports the modification of a few attributes in a save way that preserves
all other EXIF information in the file. It can currently modify the following
tags:
IFD0/Orientation
EXIF/UserCommend

%package -n     %{libname}
Summary:        Libraries for %{name}
Group:          System/Libraries

%description -n %{libname}

%{libname} contains kexif libraries

%package -n	%{libnamedev}
Summary:	Static libraries and headers for %{name}
Group:		Development/C
Requires: 	%{libname} = %{epoch}:%version-%release
Provides:	%{name}-devel

%description -n %{libnamedev}

%{libnamedev} contains the libraries and header files needed to
develop programs which make use of %{name}.

%prep
%setup -q

%build
CFLAGS="%optflags" CXXFLAGS="%optflags" \
./configure --disable-rpath \
            --prefix=%_prefix \
            --libdir=%_libdir \
            --mandir=%_mandir \
            --datadir=%_datadir \
            --disable-debug
%make

%install
rm -rf %buildroot
%makeinstall

%find_lang %name

%post -n %libname -p /sbin/ldconfig

%postun -n %libname -p /sbin/ldconfig

%clean
rm -rf %buildroot

%files -n %libname -f %name.lang
%defattr(0644, root, root, 0755)
%{_libdir}/*.so.*
%{_libdir}/*.la

%files -n %libnamedev
%defattr(0644, root, root, 0755)
%{_libdir}/pkgconfig/libkexif.pc
%{_libdir}/*.so
%{_includedir}/*

%changelog
* Sun Nov 27 2005 Marco Meijer <marco@mandrivaclub.nl> 0.2.2
- new version

* Sat Feb 12 2005 Marco Meijer <korrel@mandrakeclub.nl>
- rebuild for mandrakelinux 10.1

* Tue Dec 21 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.2.1-1mdk
- 0.2.1

* Fri Dec 17 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.2-1mdk
- 0.2

* Mon Nov 29 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.1-3mdk
- Fix Buildrequires add by Christiaan Welvaart, qt3-devel and not libqt3-devel
 (otherwise it breaks compile on x86_64)

* Sun Nov 28 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.1-2mdk
- add BuildRequires: kdelibs-common libqt3-devel kdebase-devel libexif-devel

* Sat Oct 16 2004 Angelo Naselli <anaselli@mandrake.org> 0.1-1mdk
- new version

* Mon Sep 20 2004 Angelo Naselli <anaselli@mandrake.org> 20040919-1mdk
- new version (gwenview snapshot)

* Wed Sep 08 2004 Angelo Naselli <anaselli@mandrake.org> 20040801-3mdk
- changed the URL with the official one

* Tue Aug 24 2004 Angelo Naselli <anaselli@mandrake.org> 20040801-2mdk
- changed summary and description

* Tue Aug 24 2004 Angelo Naselli <anaselli@mandrake.org> 20040801-1mdk
- built mdk version

* Mon Jun 12 2004 Angelo Naselli <random_lx@yahoo.com> 20040611-1mdk
- built mdk version
